import { DocumentRegistry } from '@jupyterlab/docregistry';
import { ConsolePanel } from '@jupyterlab/console';
import { INotebookModel, NotebookPanel } from '@jupyterlab/notebook';
import { JupyterFrontEndPlugin, JupyterFrontEnd } from '@jupyterlab/application';
import { IRenderMimeRegistry } from '@jupyterlab/rendermime';
import { DisposableDelegate } from '@lumino/disposable';
import { WidgetRenderer } from './renderer';
import * as base from '@jupyter-widgets/base';
import '@jupyter-widgets/base/css/index.css';
import '@jupyter-widgets/controls/css/widgets-base.css';
export declare function registerWidgetManager(context: DocumentRegistry.IContext<INotebookModel>, rendermime: IRenderMimeRegistry, renderers: IterableIterator<WidgetRenderer>): DisposableDelegate;
export declare function registerNotebookWidgetManager(panel: NotebookPanel, renderers: IterableIterator<WidgetRenderer>): Promise<DisposableDelegate>;
export declare function registerConsoleWidgetManager(panel: ConsolePanel, renderers: IterableIterator<WidgetRenderer>): Promise<DisposableDelegate>;
/**
 * The widget manager provider.
 */
export declare const managerPlugin: JupyterFrontEndPlugin<base.IJupyterWidgetRegistry>;
/**
 * The base widgets.
 */
export declare const baseWidgetsPlugin: JupyterFrontEndPlugin<void>;
/**
 * The control widgets.
 */
export declare const controlWidgetsPlugin: JupyterFrontEndPlugin<void>;
/**
 * The output widget.
 */
export declare const outputWidgetPlugin: JupyterFrontEndPlugin<void>;
declare const _default: (JupyterFrontEndPlugin<base.IJupyterWidgetRegistry, JupyterFrontEnd.IShell, "desktop" | "mobile"> | JupyterFrontEndPlugin<void, JupyterFrontEnd.IShell, "desktop" | "mobile">)[];
export default _default;
//# sourceMappingURL=plugin.d.ts.map